/*
 * File name: DemoComplex.java
 * Date:      2014/11/03 16:19
 * Author:    Jan Faigl
 */

public class DemoComplex {

    public static void main(String[] args) {
        Complex c1 = new Complex(2);
        Complex c2 = new Complex(2, 1);

        System.out.println("New complex: " + new Complex());
        System.out.println("Complex var c1: " + c1);
        System.out.println("Complex var c2: " + c2);

        System.out.println("Complex var |c1|: " + c1.getAbs());
        System.out.println("Complex var |c2|: " + c2.getAbs());

        System.out.println("Complex var c1-c2: " + c1.minus(c2));
        System.out.println("Complex var c1+c2: " + c1.plus(c2));
        System.out.println("Complex var c1*c2: " + c1.times(c2));

        System.out.println("Complex: (1 + j) + (1 - j): "
                + Complex.plus(new Complex(1, 1), new Complex(1, -1)));
    }
}
